Transactions
Creates asynchronous job for retrieving transactions data. Use the /jobs endpoint to poll job's status. The result file when downloaded will contain a newline-delimited JSON stream of BlockchainJobTransactionInfo objects.
put
Authorizations
api_keystringRequired
Coin Metrics API key can be specified as ?api_key= query parameter.
Body
assetsanyRequired
Comma separated list of assets, or wildcard (*) for all supported assets.
txidsstring[]Required
Transactions ids.
Responses
200
Details of just created job.
application/json
job_idstringRequired
Job ID.
job_urlstringRequired
Job URL.
401
Requested resource requires authorization.
application/json
403
Requested resource is not available with supplied credentials.
application/json
put/blockchain-job/transactions
curl -X PUT --compressed "https://api.coinmetrics.io/v4/blockchain-job/transactions?api_key=<your_key>" \
--header "Content-Type: application/x-www-form-urlencoded" \
--data-urlencode "assets=sol" \
--data-urlencode "txids=txid1,txid2"
{
"job_id": "ZjRjZDE2N2EtYzljYy00MjQ5LTk4ZWYtOTlkZDljZTE1ZDU3OjgzNTZkODQyLTA5ODMtNGM2NC1hMGE5LWY5MzBhZTMxODFiZg",
"job_url": "https://api.coinmetrics.io/v4/jobs?api_key=<your_key>&ids=ZjRjZDE2N2EtYzljYy00MjQ5LTk4ZWYtOTlkZDljZTE1ZDU3OjgzNTZkODQyLTA5ODMtNGM2NC1hMGE5LWY5MzBhZTMxODFiZg"
}Last updated

